import react__default from 'react';
import { ToastOptions, ToastUpdateOptions, Options } from './types.js';
import 'react-transition-preset/types';

declare class Toast {
    private defaultOptions;
    private toastQueue;
    constructor();
    open: (options: ToastOptions | react__default.ReactNode) => void;
    close: (key: string) => void;
    closeAll: () => void;
    update: (key: string, options: ToastUpdateOptions) => void;
    setDefaultOptions: (options: Options) => void;
}

export { Toast };
