import '../chunk-5USKE2QT.js';
import { useRef } from 'react';

var createUpdateEffect = (hook) => (effect, deps) => {
  const isMounted = useRef(false);
  hook(() => {
    return () => {
      isMounted.current = false;
    };
  }, []);
  hook(() => {
    if (!isMounted.current) {
      isMounted.current = true;
    } else {
      return effect();
    }
  }, deps);
};
var create_update_effect_default = createUpdateEffect;

export { createUpdateEffect, create_update_effect_default as default };
